%define upstream_name    Text-CSV
%define upstream_version 1.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Manipulate comma-separated value strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
Text::CSV provides facilities for the composition and decomposition of
comma-separated values using the Text::CSV_XS manpage or its pure Perl
version.

An instance of the Text::CSV class can combine fields into a CSV string and
parse a CSV string into fields.

The module accepts either strings or files as input and can utilize any
user-specified characters as delimiters, separators, and escapes so it is
perhaps better called ASV (anything separated values) rather than just CSV.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.330.0-3.mga6
+ Revision: 1034906
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.330.0-2.mga6
+ Revision: 967320
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.330.0-1.mga6
+ Revision: 848663
- update to 1.33

* Wed Oct 15 2014 umeabot <umeabot> 1.320.0-5.mga5
+ Revision: 739078
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.320.0-4.mga5
+ Revision: 736070
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.320.0-3.mga5
+ Revision: 686601
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.320.0-2.mga4
+ Revision: 528765
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.320.0-1.mga4
+ Revision: 447143
- update to 1.32

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-2.mga3
+ Revision: 373999
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.210.0-1.mga1
+ Revision: 22924
- cleaning spec file
- imported package perl-Text-CSV

